#lang racket

(require web-server/managers/none)
(require web-server/servlet/web)
(require web-server/http)
(require web-server/templates)
(require web-server/dispatch)

(require "model.rkt")

(provide interface-version manager start)


(define interface-version 'v2)

(define manager
  (create-none-manager
   (lambda (req)
     `(html (head (title "No Continuations Here!"))
            (body (h1 "No Continuations Here!"))))))

(define (start)
  (respond/html
   (let ([ad (include-template "ads/ad1.html")])
     (include-template "static/main.html"))))


(define (respond/html html-str)
  (send/back
   (make-response/full
    200 #"Success"
    (current-seconds) TEXT/HTML-MIME-TYPE
    empty
    (list (string->bytes/utf-8 html-str)))))

